## pekka-kana-2 1.2.3

=== Makefile ===
# Pekka Kana 2 by Janne Kivilahti from Piste Gamez (2003-2007)
# https://pistegamez.net/game_pk2.html
#
# This public release and rewritten is governed by a BSD-2-clause license.
#
# Makefile command:
# "make" - Creates Pekka Kana 2 binary
# "make clean" - Removes all objects, executables and dependencies

CXX = g++
CXXFLAGS += $(shell pkg-config --cflags sdl2) -g -O2 -std=gnu++17 -Wno-write-strings
LDFLAGS += $(shell pkg-config --libs sdl2) -lSDL2_mixer

# Defines directories
SRC_DIR = src/
BIN_DIR = bin/
BUILD_DIR = build/

# Defines the engine and src used in main codes
ENGINE_SRC  = $(wildcard $(SRC_DIR)*.cpp)
ENGINE_OBJ := $(basename $(ENGINE_SRC))
ENGINE_OBJ := $(notdir $(ENGINE_OBJ))
ENGINE_OBJ := $(addsuffix .o, $(ENGINE_OBJ))
ENGINE_OBJ := $(addprefix $(BUILD_DIR), $(ENGINE_OBJ))

PK2_SPRITE_SRC = $(SRC_DIR)sprite.cpp
PK2_SPRITE_OBJ = $(BUILD_DIR)sprite.o

PK2_MAP_SRC = $(SRC_DIR)map.cpp
PK2_MAP_OBJ = $(BUILD_DIR)map.o

PK2_SRC = $(SRC_DIR)pk2.cpp
PK2_OBJ = $(BUILD_DIR)pk2.o

# Defines the destination of each binary file
PK2_BIN = $(BIN_DIR)/pekka-kana-2

DEPENDENCIES := $(PK2_OBJ) $(PK2_SPRITE_OBJ) $(PK2_MAP_OBJ) $(ENGINE_OBJ)
DEPENDENCIES := $(basename $(DEPENDENCIES))
DEPENDENCIES := $(addsuffix .d, $(DEPENDENCIES))

pk2: makedirs $(PK2_BIN)

# Rules for generate the binaries using the object files
$(PK2_BIN): $(PK2_OBJ) $(PK2_SPRITE_OBJ) $(PK2_MAP_OBJ) $(ENGINE_OBJ)
	@echo -Linking Pekka Kana 2
	@$(CXX) $^ $(LDFLAGS) -o $@

# Rules for generate any *.o file
-include $(DEPENDENCIES)

build/%.o : src/%.cpp
	@echo -Some dependence of $@ was changed, updating
	@$(CXX) $(CXXFLAGS) -I$(SRC_DIR) -o $@ -c $<
	@$(CXX) -MM -MT $@ -I$(SRC_DIR) $< > build/$*.d

makedirs:
	@mkdir -p $(BIN_DIR) >/dev/null
	@mkdir -p $(BUILD_DIR) >/dev/null

clean:
	@rm -rf $(BIN_DIR)
	@rm -rf $(BUILD_DIR)

.PHONY: pk2 clean makedirs

=== debian/changelog ===
pekka-kana-2 (1.2.3-1) unstable; urgency=medium

  * New upstream release. (Closes: #933080)
  * debian/control:
    - Removed ${source:Version} from Depends.
  * debian/rules:
    + Added the DEB_BUILD_MAINT_OPTIONS variable to improve the GCC hardening.

 -- Carlos Donizete Froes <coringao@riseup.net>  Fri, 09 Aug 2019 00:58:45 -0300

pekka-kana-2 (1.2.2-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload to ensure migration to testing.
  * Declare compliance with Debian Policy 4.4.0.
  * Switch to debhelper-compat = 12.

 -- Markus Koschany <apo@debian.org>  Mon, 22 Jul 2019 04:13:25 +0200

pekka-kana-2 (1.2.2-1) unstable; urgency=medium

  * Initial release (Closes: #915073)

 -- Carlos Donizete Froes <coringao@riseup.net>  Wed, 06 Mar 2019 03:08:28 -0300

=== debian/control ===
Source: pekka-kana-2
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Carlos Donizete Froes <coringao@riseup.net>
Build-Depends: debhelper-compat (= 12),
               libsdl2-dev,
               libsdl2-image-dev,
               libsdl2-mixer-dev
Standards-Version: 4.4.0
Homepage: https://pistegamez.net/game_pk2.html
Vcs-Browser: https://salsa.debian.org/games-team/pekka-kana-2
Vcs-Git: https://salsa.debian.org/games-team/pekka-kana-2.git

Package: pekka-kana-2
Architecture: any
Depends: pekka-kana-2-data, ${misc:Depends}, ${shlibs:Depends}
Description: 2D Oldschool platform game where you control a rooster
 Your mission in Pekka Kana 2 is to save Pekka's chicken friends
 from an evil crow.
 .
 The simple goal in each level is to find the exit sign, which is usually
 not that simple as it sounds because of enemies, traps, and quirky puzzles.

Package: pekka-kana-2-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: 2D Oldschool platform game where you control a rooster (data file)
 Your mission in Pekka Kana 2 is to save Pekka's chicken friends
 from an evil crow.
 .
 The simple goal in each level is to find the exit sign, which is usually
 not that simple as it sounds because of enemies, traps, and quirky puzzles.
 .
 This package contains data files required by the game Pekka Kana 2.

## pekka-kana-2 1.2.5

=== Makefile ===
--- 
+++ 
@@ -8,8 +8,9 @@
 # "make clean" - Removes all objects, executables and dependencies
 
 CXX = g++
-CXXFLAGS += $(shell pkg-config --cflags sdl2) -g -O2 -std=gnu++17 -Wno-write-strings
-LDFLAGS += $(shell pkg-config --libs sdl2) -lSDL2_mixer
+CXXFLAGS += $(shell pkg-config --cflags sdl2) -g -O2 -std=gnu++17 -fPIE \
+-D_FORTIFY_SOURCE=2 -Wno-unused-result -Wno-write-strings
+LDFLAGS += $(shell pkg-config --libs sdl2) -Wl,-z,relro -lSDL2_mixer
 
 # Defines directories
 SRC_DIR = src/

=== debian/changelog ===
pekka-kana-2 (1.2.5-1) unstable; urgency=medium

  * New upstream release. FTCBFS bug fix. (Closes: #933080)
  * debian/control:
    + Bumped Standards-Version to 4.4.1.
    + Set Rules-Requires-Root to no.
  * debian/copyright:
    + Added copyright information for contact.

 -- Carlos Donizete Froes <coringao@riseup.net>  Mon, 16 Dec 2019 19:03:14 -0300

pekka-kana-2 (1.2.4-1) unstable; urgency=medium

  * New upstream release

 -- Carlos Donizete Froes <coringao@riseup.net>  Thu, 15 Aug 2019 22:36:32 -0300

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
                libsdl2-dev,
                libsdl2-image-dev,
                libsdl2-mixer-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Homepage: https://pistegamez.net/game_pk2.html
 Vcs-Browser: https://salsa.debian.org/games-team/pekka-kana-2
 Vcs-Git: https://salsa.debian.org/games-team/pekka-kana-2.git

## pekka-kana-2 1.2.6

=== Makefile ===
--- 
+++ 
@@ -6,11 +6,15 @@
 # Makefile command:
 # "make" - Creates Pekka Kana 2 binary
 # "make clean" - Removes all objects, executables and dependencies
+#
+# To put more focus on warnings, be less verbose as default
+# Use 'make V=1' to see the full commands
 
 CXX = g++
 CXXFLAGS += $(shell pkg-config --cflags sdl2) -g -O2 -std=gnu++17 -fPIE \
 -D_FORTIFY_SOURCE=2 -Wno-unused-result -Wno-write-strings
-LDFLAGS += $(shell pkg-config --libs sdl2) -Wl,-z,relro -lSDL2_mixer
+LDFLAGS += $(shell pkg-config --libs sdl2) -lSDL2_image -lSDL2_mixer \
+-pie -Wl,-z,relro
 
 # Defines directories
 SRC_DIR = src/
@@ -40,27 +44,43 @@
 DEPENDENCIES := $(basename $(DEPENDENCIES))
 DEPENDENCIES := $(addsuffix .d, $(DEPENDENCIES))
 
+# If KBUILD_VERBOSE equals 0 then the above command will be hidden.
+# If KBUILD_VERBOSE equals 1 then the above command is displayed.
+ifeq ("$(origin V)", "command line")
+    KBUILD_VERBOSE = $(V)
+endif
+
+ifndef KBUILD_VERBOSE
+    KBUILD_VERBOSE = 0
+endif
+
+ifeq ($(KBUILD_VERBOSE),1)
+    Q =
+    else
+    Q = @
+endif
+
 pk2: makedirs $(PK2_BIN)
 
 # Rules for generate the binaries using the object files
 $(PK2_BIN): $(PK2_OBJ) $(PK2_SPRITE_OBJ) $(PK2_MAP_OBJ) $(ENGINE_OBJ)
 	@echo -Linking Pekka Kana 2
-	@$(CXX) $^ $(LDFLAGS) -o $@
+	$(Q)$(CXX) $(CXXFLAGS) $^ $(LDFLAGS) -o $@
 
 # Rules for generate any *.o file
 -include $(DEPENDENCIES)
 
 build/%.o : src/%.cpp
 	@echo -Some dependence of $@ was changed, updating
-	@$(CXX) $(CXXFLAGS) -I$(SRC_DIR) -o $@ -c $<
-	@$(CXX) -MM -MT $@ -I$(SRC_DIR) $< > build/$*.d
+	$(Q)$(CXX) $(CXXFLAGS) -I$(SRC_DIR) -o $@ -c $<
+	$(Q)$(CXX) $(CXXFLAGS) -MM -MT $@ -I$(SRC_DIR) $< > build/$*.d
 
 makedirs:
-	@mkdir -p $(BIN_DIR) >/dev/null
-	@mkdir -p $(BUILD_DIR) >/dev/null
+	$(Q)mkdir -p $(BIN_DIR) >/dev/null
+	$(Q)mkdir -p $(BUILD_DIR) >/dev/null
 
 clean:
-	@rm -rf $(BIN_DIR)
-	@rm -rf $(BUILD_DIR)
+	$(Q)rm -rf $(BIN_DIR)
+	$(Q)rm -rf $(BUILD_DIR)
 
 .PHONY: pk2 clean makedirs

=== debian/changelog ===
pekka-kana-2 (1.2.6-1) unstable; urgency=medium

  * New upstream release. FTBFS bug fix. (Closes: #952049)
  * debian/control:
    + Bumped Standards-Version to 4.5.0.
  * debian/copyright:
    + Copyright information organized for contacts.
    + Copyright updated for current years (2020).
  * Update debian/upstream/metadata years (2020).
  * debian/rules:
    + override_dh_auto_build added to show the build.

 -- Carlos Donizete Froes <coringao@riseup.net>  Tue, 25 Feb 2020 19:58:48 -0300

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                libsdl2-dev,
                libsdl2-image-dev,
                libsdl2-mixer-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://pistegamez.net/game_pk2.html
 Vcs-Browser: https://salsa.debian.org/games-team/pekka-kana-2

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
  https://gitlab.com/coringao/pekka-kana-2/tags \
  .*/pekka-kana-2-(\d\S+)\.(?:tar\.(?:gz|bz2))

## pekka-kana-2 1.2.7

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,7 @@
 # Pekka Kana 2 by Janne Kivilahti from Piste Gamez (2003-2007)
 # https://pistegamez.net/game_pk2.html
+#
+# Individual work by Carlos Donizete Froes [a.k.a coringao] (2018-2020).
 #
 # This public release and rewritten is governed by a BSD-2-clause license.
 #
@@ -11,15 +13,16 @@
 # Use 'make V=1' to see the full commands
 
 CXX = g++
-CXXFLAGS += $(shell pkg-config --cflags sdl2) -g -O2 -std=gnu++17 -fPIE \
--D_FORTIFY_SOURCE=2 -Wno-unused-result -Wno-write-strings
-LDFLAGS += $(shell pkg-config --libs sdl2) -lSDL2_image -lSDL2_mixer \
+PKG_CONFIG ?= pkg-config
+CXXFLAGS += $(shell $(PKG_CONFIG) --cflags sdl2) -g -O2 -std=gnu++17 \
+-D_FORTIFY_SOURCE=2 -fPIE -Wno-unused-result -Wno-write-strings
+LDFLAGS += $(shell $(PKG_CONFIG) --libs sdl2 SDL2_image SDL2_mixer) \
 -pie -Wl,-z,relro
 
 # Defines directories
-SRC_DIR = src/
 BIN_DIR = bin/
 BUILD_DIR = build/
+SRC_DIR = src/
 
 # Defines the engine and src used in main codes
 ENGINE_SRC  = $(wildcard $(SRC_DIR)*.cpp)
@@ -38,7 +41,7 @@
 PK2_OBJ = $(BUILD_DIR)pk2.o
 
 # Defines the destination of each binary file
-PK2_BIN = $(BIN_DIR)/pekka-kana-2
+PK2_BIN = $(BIN_DIR)pekka-kana-2
 
 DEPENDENCIES := $(PK2_OBJ) $(PK2_SPRITE_OBJ) $(PK2_MAP_OBJ) $(ENGINE_OBJ)
 DEPENDENCIES := $(basename $(DEPENDENCIES))

=== debian/changelog ===
pekka-kana-2 (1.2.7-1) unstable; urgency=medium

  * New upstream release. FTCBFS bug fix. (Closes: #933080)
    + Integrated support fixed for pkg-config.
  * debian/control:
    + Bump debhelper compat to version 13.
  * Added debian/docs.

 -- Carlos Donizete Froes <coringao@riseup.net>  Sun, 01 Nov 2020 00:41:34 -0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Carlos Donizete Froes <coringao@riseup.net>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                libsdl2-dev,
                libsdl2-image-dev,
                libsdl2-mixer-dev

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	# To show the compiler command lines during compilation.
	dh_auto_build -- V=1

## pekka-kana-2 1.4.5+ds

=== Makefile ===
# Pekka Kana 2 by Janne Kivilahti from Piste Gamez (2003-2007)
# https://pistegamez.net/game_pk2.html
#
# Makefile command:
# "make" - Creates Pekka Kana 2 binary
# "make clean" - Removes all objects, executables and dependencies

# Compiler:
CXX = g++

# Optimization:
#CXXFLAGS += -g
CXXFLAGS += -O2

#CXXFLAGS += -march=native

# Warnings:
CXXFLAGS += -Wall

# Standart:
CXXFLAGS += --std=c++11 

# SDL2:
CXXFLAGS += $(shell pkg-config sdl2 --cflags)
LDFLAGS += $(shell pkg-config sdl2 --libs) -lSDL2_mixer -lSDL2_image

# LibZip (read episodes on zip files):
#CXXFLAGS += -DPK2_USE_ZIP $(shell pkg-config libzip --cflags)
#LDFLAGS += $(shell pkg-config libzip --libs)

# Portable (data is stored with resorces):
CXXFLAGS += -DPK2_PORTABLE

# Commit hash
CXXFLAGS += -DCOMMIT_HASH='"$(shell git rev-parse --short HEAD)"'

# Directories:
SRC_DIR = src/
BIN_DIR = bin/
BUILD_DIR = build/

# Source files:
PK2_SRC  = *.cpp */*.cpp */*/*.cpp
PK2_SRC := $(addprefix $(SRC_DIR), $(PK2_SRC))
PK2_SRC := $(wildcard $(PK2_SRC))

# Object files:
PK2_OBJ := $(basename $(PK2_SRC))
PK2_OBJ := $(subst $(SRC_DIR), ,$(PK2_OBJ))
PK2_OBJ := $(addsuffix .o, $(PK2_OBJ))
PK2_OBJ := $(addprefix $(BUILD_DIR), $(PK2_OBJ))

# Dependency files:
DEPENDENCIES := $(PK2_OBJ)
DEPENDENCIES := $(basename $(DEPENDENCIES))
DEPENDENCIES := $(addsuffix .d, $(DEPENDENCIES))

# Binary output:
PK2_BIN = $(BIN_DIR)pekka-kana-2

pk2: $(PK2_BIN)

###########################
$(PK2_BIN): $(PK2_OBJ)
	@echo -Linking Pekka Kana 2
	@mkdir -p $(dir $@) >/dev/null
	@$(CXX) $^ $(LDFLAGS) -o $@
###########################

###########################
-include $(DEPENDENCIES)

$(BUILD_DIR)%.o: $(SRC_DIR)%.cpp
	@echo -Compiling $<
	@mkdir -p $(dir $@) >/dev/null
	@$(CXX) $(CXXFLAGS) -I$(SRC_DIR) -o $@ -c $<
	@$(CXX) -MM -MT $@ -I$(SRC_DIR) $< > $(BUILD_DIR)$*.d
###########################

clean:
	@rm -rf $(BIN_DIR)
	@rm -rf $(BUILD_DIR)

.PHONY: pk2 clean

=== mingw/i686/Makefile ===

PLAT = i686

OPT = -O2

CXX = $(PLAT)-w64-mingw32-g++
WINRES = $(PLAT)-w64-mingw32-windres

BIN_SRC = /usr/local/$(PLAT)-w64-mingw32/bin/
INC_SRC = /usr/local/$(PLAT)-w64-mingw32/include/
LIB_SRC = /usr/local/$(PLAT)-w64-mingw32/lib/

-include ../mingw.mk

=== mingw/x86_64/Makefile ===

PLAT = x86_64

OPT = -O2

CXX = $(PLAT)-w64-mingw32-g++
WINRES = $(PLAT)-w64-mingw32-windres

BIN_SRC = /usr/local/$(PLAT)-w64-mingw32/bin/
INC_SRC = /usr/local/$(PLAT)-w64-mingw32/include/
LIB_SRC = /usr/local/$(PLAT)-w64-mingw32/lib/

-include ../mingw.mk

=== debian/changelog ===
pekka-kana-2 (1.4.5+ds-2) unstable; urgency=medium

  * Re-add applicable parts for the FTCBFS patch (Closes: #933080).

 -- Tobias Frost <tobi@debian.org>  Sat, 21 Sep 2024 12:23:56 +0200

pekka-kana-2 (1.4.5+ds-1) unstable; urgency=medium

  * New upstream release. (Closes: #1079933)
  * Switching to more active upstream fork of daniloc.
    - Update d/watch (Closes: #1079937) 
    - Add Files-Excluded to d/copyright for repacking, removing
      embedded code copies and android port files.
    - Add patches to make the new version working.
    - Update d/upstream/metadata to new upstream.
    - Update d/copyright to new upstream.
    - Drop old signing key from previous upstream.
  * Add gbp.conf to ensure signed tags and pristine-tar.
  * Update install files and move all arch independent files
    to the arch:all package.
  * Add myself to Uploaders, remove inactive previous maintainer.
  * Bump SV to 4.7.0 - no changes required.
  * Add lintian overrides where resources are mistaken as documentation.

 -- Tobias Frost <tobi@debian.org>  Fri, 20 Sep 2024 16:50:10 +0200

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,20 @@
 Section: games
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Carlos Donizete Froes <coringao@riseup.net>
-Build-Depends: debhelper-compat (= 13),
+Uploaders: Tobias Frost <tobi@debian.org>
+Build-Depends: debhelper-compat (= 12),
                libsdl2-dev,
                libsdl2-image-dev,
                libsdl2-mixer-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Homepage: https://pistegamez.net/game_pk2.html
+Homepage: https://danilolc.itch.io/pekka-kana-2
 Vcs-Browser: https://salsa.debian.org/games-team/pekka-kana-2
 Vcs-Git: https://salsa.debian.org/games-team/pekka-kana-2.git
 
 Package: pekka-kana-2
 Architecture: any
-Depends: pekka-kana-2-data, ${misc:Depends}, ${shlibs:Depends}
+Depends: pekka-kana-2-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: 2D Oldschool platform game where you control a rooster
  Your mission in Pekka Kana 2 is to save Pekka's chicken friends
  from an evil crow.
@@ -24,6 +24,8 @@
  not that simple as it sounds because of enemies, traps, and quirky puzzles.
 
 Package: pekka-kana-2-data
+Breaks: pekka-kana-2 (<< 1.4.5+ds-1)
+Replaces: pekka-kana-2 (<< 1.4.5+ds-1)
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}

=== debian/watch ===
version=4
opts=repack,dversionmangle=s/\+ds\d*$//,repacksuffix=+ds \
https://github.com/danilolc/pk2/tags .*/v?(\d.*)@ARCHIVE_EXT@
